<?php
	include "koneksi.php";
	
	$nama_customer=$_POST["nama_customer"];
	$no_wo=$_POST["no_wo"];
	$nomor_mhb_id=$_POST["nomor_mhb_id"];
	$nama_komponen=$_POST["nama_komponen"];
	$model_komponen=$_POST["model_komponen"]; 
	$part_number=$_POST["part_number"];
	$nomor_surat_jalan=$_POST["nomor_surat_jalan"];
	$jenis_taging=$_POST["jenis_taging"];
	$nomor_taging=$_POST["nomor_taging"];
	$jenis_barang=$_POST["jenis_barang"];
	//$file=$_POST["file"];
	
	echo "nama_customer = ".$nama_customer."<br>";
	echo "no_wo = ".$no_wo."<br>";
	echo "nomor_mhb_id = ".$nomor_mhb_id."<br>";
	echo "nama_komponen = ".$nama_komponen."<br>";
	echo "model_komponen = ".$model_komponen."<br>";
	echo "part_number = ".$part_number."<br>";
	echo "nomor_surat_jalan = ".$nomor_surat_jalan."<br>";
	echo "jenis_taging = ".$jenis_taging."<br>";
	//echo "file".$file."<br>";
	$tanggal_receiving = date('d-m-Y');

    // Ambil Data yang Dikirim dari Form
    $nama_file = $_FILES['gambar']['name'];
    $ukuran_file = $_FILES['gambar']['size'];
    $tipe_file = $_FILES['gambar']['type'];
    $tmp_file = $_FILES['gambar']['tmp_name'];
// Set path folder tempat menyimpan gambarnya
$path = "Receiving/".$nama_file;
if($tipe_file == "image/jpeg" || $tipe_file == "image/png"){ // Cek apakah tipe file yang diupload adalah JPG / JPEG / PNG
  // Jika tipe file yang diupload JPG / JPEG / PNG, lakukan :
  if($ukuran_file <= 1000000){ // Cek apakah ukuran file yang diupload kurang dari sama dengan 1MB
    // Jika ukuran file kurang dari sama dengan 1MB, lakukan :
    // Proses upload
    if(move_uploaded_file($tmp_file, $path)){ // Cek apakah gambar berhasil diupload atau tidak
      // Jika gambar berhasil diupload, Lakukan :  
      // Proses simpan ke Database
	  $query = "INSERT INTO barang_job (nama_customer,no_wo,no_mhb_id,nama_komponen,model_komponen,part_number,no_surat_jalan_customer
	                                    ,taging,no_taging,nama_gambar,ukuran_gambar,tipe_gambar,tanggal_receiving,status,jenis_barang)
						VALUE
				                      ('$nama_customer','$no_wo','$nomor_mhb_id','$nama_komponen','$model_komponen','$part_number','$nomor_surat_jalan'
									    ,'$jenis_taging','$nomor_taging','$nama_file','$ukuran_file','$tipe_file','$tanggal_receiving','1','$jenis_barang')";
	$sql = mysqli_query($conn, $query); // Eksekusi/ Jalankan query dari variabel $query
      
      if($sql){ // Cek jika proses simpan ke database sukses atau tidak
        // Jika Sukses, Lakukan :
        //header("location: index.php"); // Redirectke halaman index.php
		header("location:inputReceiving.php?p=1");
      }else{
        // Jika Gagal, Lakukan :
     
		header("location:inputReceiving.php?p=2");
      }
    }else{
      // Jika gambar gagal diupload, Lakukan :
  
	  header("location:inputReceiving.php?p=3");
    }
  }else{
    // Jika ukuran file lebih dari 1MB, lakukan :
   
	header("location:inputReceiving.php?p=4");
  }
}else{
  // Jika tipe file yang diupload bukan JPG / JPEG / PNG, lakukan :

  header("location:inputReceiving.php?p=5");
}


























    //$tanggal_pembuatan = date('d-m-Y');

	//$query = "INSERT INTO invoice (id_kode_suplier,no_invoice,tanggal_invoice,jumlah,tanggal_input,jenis_pembayaran)
		//					VALUE
			//				('$nama_suplier','$nomor_invoice','$tanggal_invoice','$jumlah','$tanggal_pembuatan','$jenis_card_list')";
	
	//$result = mysqli_query($conn, $query);


	//echo "query = " . $query . "</br>";

	//if($result)
	//{
		//echo "jenis pembayaran".$jenis_card_list;
		//echo "Data berhasil masuk";
		//header("location:tambahInvoice.php?p=1");
	//}
	//else
	//{
		//header("location:tambahInvoice.php?p=2");
		//die("Error");
	//}

?>